alteredExpression <- 
function(A, length.1, maxiter=500, initialSize=20, vSize=0.5, pctSubset=0.1)
{
	genes <- sample(1:dim(A)[1],initialSize)
	
	mFL1 <- rowMeans(A[,1:length.1])
	mFL2 <- rowMeans(A[,(length.1+1):dim(A)[2]])
	
	iter <- 0
	
	while(iter < maxiter)
	{
		G <- c()
		mCL1 <- colMeans(A[genes,1:length.1])							
		mCL2 <- colMeans(A[genes,(length.1 + 1):dim(A)[2]])
		mGL1 <- mean(A[genes,1:length.1])
		mGL2 <- mean(A[genes,(length.1 + 1):dim(A)[2]])		
		RV.control <- calculateRRV.genes(A[genes,1:length.1],mCL1,mFL1[genes],mGL1)
		RV.patient <- calculateRRV.genes(A[genes,(length.1 + 1):dim(A)[2]],mCL2,mFL2[genes],mGL2)
		RRV.genes <- RV.control / RV.patient
		
		for(genek in 1:dim(A)[1])
		{	RVK.control <- calculateRRV.k(A[genek,1:length.1],mCL1,mFL1[genek],mGL1)
			RVK.patient <- calculateRRV.k(A[genek,(length.1 + 1):dim(A)[2]],mCL2,mFL2[genek],mGL2)
			RRV.k <- RVK.control / RVK.patient
			
			ck <- (vSize * (RRV.k - RRV.genes)) - ((1 - vSize) * (1 / length(genes)))
			if ( !xor(ck>0,length(genes[genes==genek])) )
				G <- c(G,genek)
		}
		
		if(length(G) == 0){
			df1 <- (length(genes) - 1) * (length.1 - 1)
			df2 <- (length(genes) - 1) * (dim(A)[2] - length.1 - 1)
			fsne <- pf(RRV.genes,df1,df2)
			return(list(genes = genes, iterations = iter, vr = RRV.genes, fsne = fsne))
		}
		numel <- max(c(round(length(G) * pctSubset),1))
		g <- sample(G,numel)
		genes <- c(setdiff(g,genes),setdiff(genes,g))
		iter <- iter +1
	}
	
	return(list(genes = c(), iterations = maxiter, rvv = RRV.genes))
}


calculateRRV.genes <- function(Asubset,mCL.genes,mFL.genes,mGL.genes)
{
	return(((1 / (dim(Asubset)[2] -1) )) * (sum(((t(t(Asubset)-mCL.genes)-mFL.genes)+mGL.genes)^2)) )
}


calculateRRV.k <- function(Asubset,mCL.genes,rmeansK,mGL.genes)
{	
	return(((1 / (length(Asubset) -1) )) * (sum(((t(t(Asubset)-mCL.genes)-rmeansK)+mGL.genes)^2)) )
}

