\name{alteredExpression}
\alias{alteredExpression}
\concept{microarray}
\concept{gene expression}
%- Also NEED an '\alias' for EACH other topic documented here.
\title{AlteredExpression}
\description{Search for a group of genes wich present the most
significant alteration in their expression profiles when comparing a control set (control samples)
versus query set (disease-altered samples).
}
\usage{
alteredExpression(A, length.1, maxiter=500, initialSize = 20, vSize = 0.5, pctSubset = 0.1)
}
%- maybe also 'usage' for other objects documented here.
\arguments{
  \item{A}{Matrix with samples (subjects, arrays) as columns and variables (genes) as rows.}
  \item{length.1}{Number of control samples places as initial columns in the matrix.}
  \item{maxiter}{Maximun number of iterations.}
  \item{initialSize}{Number of genes included in the initial random sampling of the dataset.}
  \item{vSize}{To modulate or variate the effect of the group size.}
  \item{pctSubset}{Fix the percentage of in-out genes that are changed in each iteration.}
}
\details{See references for further details.
}
\value{
  \item{genes}{The indexes of the genes in the group generated.}
  \item{iterations}{Number of iterations to generate the group.}
  \item{rrv}{Relative Residual Variance.}
  \item{fsne}{Statistical measure of significance for the group.}
}
\references{
  Prieto C,  Rivas MJ, Sanchez JM, Lopez-fidalgo J and De Las Rivas J (2005) 
  Algorithm to find gene expression profiles of differential de-regulation and 
  identify families of disease-altered genes.
  \url{http://bioinfow.dep.usal.es/AlteredExpression}.
}
\author{Prieto C,  Rivas MJ, Sanchez JM, Lopez-fidalgo J and De Las Rivas J
email:\email{jrivas@usal.es},\url{http://bioinfow.dep.usal.es}
}
\note{ }

\examples{
A <- matrix(data=sample(1:15,27200,replace=TRUE),ncol=16,nrow=1700)
alteredExpression(A,10)
}
\keyword{alteredexpression}% at least one, from doc/KEYWORDS

